const webpack = require("webpack");
const babelConf = require("./babelConf");
const path = require("path");
module.exports = function(program) {
  return {
    resolve: {
      extensions: [".mjs"]
    },
    module: {
      rules: [
        {
          test: /\.m?js$/,
          include: [
            /node_modules(\/|\\)kpc-component.*?/,
            /node_modules(\/|\\)ksc-vue-ui2/,
            /node_modules(\/|\\)ksc-i18n/,
            /node_modules(\/|\\)ksc-public-/,
            /node_modules(\/|\\)public-business-components/
          ],
          use: [
            {
              loader: "babel-loader",
              options: babelConf(program)
            }
          ]
        }
      ]
    }
  };
};
