const path = require('path')
const fs = require('fs')

module.exports = function(pkg) {
  try {
    let p = path.resolve(process.cwd(), `node_modules/${pkg}/package.json`)
    const stats = fs.statSync(p)
    if (stats && stats.isFile()) {
      return true
    }
  } catch (error) {
    return false
  }
}
