const getConf = require("@ksyun/ksr-libs/libs/getConf");

function getExternalsConf(conf) {
  const webpack = getConf(conf);
  const result = {};
  if (webpack["ksr"]) {
    result["ksr"] = webpack["ksr"];
    delete webpack["ksr"];
  }
  if (webpack["ksrServe"]) {
    result["ksrServe"] = webpack["ksrServe"];
    delete webpack["ksrServe"];
  }
  result["webpack"] = webpack;
  result["ksr"] = result["ksr"] || {};
  result["ksrServe"] = result["ksrServe"] || {};
  return result;
}

module.exports = getExternalsConf;
